Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.transaction.exception
Class VersionNotAvailableException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.tangosol.coherence.transaction.exception.VersionNotAvailableException`

All Implemented Interfaces:
  java.io.Serializable

      public class VersionNotAvailableException

extends java.lang.RuntimeException

Indicates that a read was attempted for a version of the data that is no longer available in storage due to garbage collection. If this exception is encountered on a regular basis the high-water setting for the storage reaper may need to be increased to allow storage to hold a greater number of versions.

See Also:
  Serialized Form

Constructor Summary
`VersionNotAvailableException()` Default constructor
`VersionNotAvailableException(java.lang.Throwable t)` Create a VersionNotAvailableException with a throwable.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Constructor Detail

### VersionNotAvailableException

    public VersionNotAvailableException()

  Default constructor

### VersionNotAvailableException

    public VersionNotAvailableException(java.lang.Throwable t)

  Create a VersionNotAvailableException with a throwable.
  Parameters:
    `t` - the throwable

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.